Subject: Re: bug#78356: Broken system and home containers

From: Ludovic Courtès <[email-masked]>
Date: Tue, 13 May 2025 23:42:03 +0200

Hi,

Rutherther <[email-masked]> writes:

>> --8<---------------cut here---------------start------------->8---
>> <x home container -L home/modules home/home-configuration.scm                        
>> Updating channel 'guix' from Git repository at 'https://codeberg.org/guix/guix-mirror'...
>> guix home: error: failed to load 'home/home-configuration.scm':
>> web/client.scm:338:10: In procedure open-socket-for-uri:
>> In procedure getaddrinfo: Servname not supported for ai_socktype
>> --8<---------------cut here---------------end--------------->8---
>
> So this is after the build? I have added inferiors recently for using
> Emacs 30, that would explain it before build, but after build I am
> clueless why that would happen. Though if it's before build, I am
> surprised you got an error like that, unless you were purposefully in
> environment without network. I added the inferiors just yesterday,
> commit 819ee341ab6bcc9846b099572af185c781b82a1d shouldn't be downloading
> anything.

Yes, I was running it in ‘guix shell -CW’.

Ludo’.